## tzosdclock 1.0.2

=== debian/changelog ===
tzosdclock (1.0.2) stable; urgency=medium

  * Packaging changes (for NetBSD)

 -- Greg Schenzel <inittab@unixdev.net>  Sat, 24 Sep 2005 01:29:20 -0700

tzosdclock (1.0-2) stable; urgency=medium

  * lintian package fixes (source package)

 -- Greg Schenzel <inittab@unixdev.net>  Tue, 9 Aug 2005 11:46:20 -0700

tzosdclock (1.0) stable; urgency=medium

  * New upstream version.
  * New maintainer.
  * First major release.

 -- Greg Schenzel <inittab@netizenweb.com>  Sun, 8 May 2005 10:40:50 -0400
