=== debian/control ===
Source: tzosdclock
Section: x11
Priority: optional
Maintainer: Greg Schenzel <inittab@unixdev.net>
Build-Depends: libxosd-dev
Standards-Version: 3.6.2

Package: tzosdclock
Architecture: any
Depends: ${shlibs:Depends}
Description: On-Screen Multi-Timezone Clock
 This is an OSD desktop clock with support for multiple timezones
 through the same mechanism as tzwatch (~/.tzlist).
